/* @link https://utopia.fyi/type/calculator?c=320,14,1.2,1240,20,1.25,5,2,&s=0.75|0.5|0.25,1.5|2|3|4|6,s-l&g=s,l,xl,12 */

:root {
  --step--2: clamp(0.6076rem, 0.5407rem + 0.3345vw, 0.8rem);
  --step--1: clamp(0.7292rem, 0.635rem + 0.471vw, 1rem);
  --step-0: clamp(0.875rem, 0.7446rem + 0.6522vw, 1.25rem);
  --step-1: clamp(1.05rem, 0.8717rem + 0.8913vw, 1.5625rem);
  --step-2: clamp(1.26rem, 1.0189rem + 1.2054vw, 1.9531rem);
  --step-3: clamp(1.512rem, 1.1887rem + 1.6164vw, 2.4414rem);
  --step-4: clamp(1.8144rem, 1.384rem + 2.1519vw, 3.0518rem);
  --step-5: clamp(2.1773rem, 1.6077rem + 2.8477vw, 3.8147rem);
}

/* CSS Reset 
   source: https://www.joshwcomeau.com/css/custom-css-reset/
*/
/* 1. Use a more-intuitive box-sizing model */
*, *::before, *::after {
  box-sizing: border-box;
}

/* 2. Remove default margin */
* {
  margin: 0;
}

body {
  /* 3. Add accessible line-height */
  line-height: 1.5;
  /* 4. Improve text rendering */
  -webkit-font-smoothing: antialiased;
}

/* 5. Improve media defaults */
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

/* 6. Inherit fonts for form controls */
input, button, textarea, select {
  font: inherit;
}

/* 7. Avoid text overflows */
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

/* 8. Improve line wrapping */
p {
  text-wrap: pretty;
}
h1, h2, h3, h4, h5, h6 {
  text-wrap: balance;
}

/*
  9. Create a root stacking context
*/
#root, #__next {
  isolation: isolate;
}

/* */
html {
  height: 100%;
}

body {
  margin: 1rem;
  max-width: 70ch;
}

.vc-journal, .vc-journal-entry {
  contain: content;
}

.vc-journal-entry {
  header {
    display: flex;
    flex-direction: column;
    gap: .25rem;
    margin-bottom: 1rem;
  }

  time {
    font-size: var(--step--1);
    font-style: italic;
  }
}

hr {
  margin: 1rem 0;
}

@media (width > 95ch) {
  body {
    margin: 1rem auto;
  }
}